Run Walmart Product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-walmart-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": "15545702811"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-walmart-product"
payload = { "item": "15545702811" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item: '15545702811'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-walmart-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "walmart_product",
"item": "10774352381",
"human": "# Walmart product\n\n- **Item:** 10774352381\n- **Response size:** 516.4 KB\n- **Name:** Logitech Precision Pro Wireless Mouse, Black, Compatible with Laptop, PC, Mac, iPadOS, Walmart Exclusive\n- **Price:** USD36.82\n- **Rating:** 4.5 (247 reviews)\n- **Availability:** IN_STOCK",
"machine": {
"product": {
"id": "10774352381",
"us_item_id": "10774352381",
"walmart_internal_id": "1U71SDX99PGF",
"name": "Logitech Precision Pro Wireless Mouse, Black, Compatible with Laptop, PC, Mac, iPadOS, Walmart Exclusive",
"brand": "Logitech",
"brand_url": "/search?q=Logitech&facet=brand:Logitech",
"model": null,
"upc": "097855200174",
"manufacturer_product_id": null,
"price": 36.82,
"price_string": "$36.82",
"currency": "USD",
"list_price": null,
"rating": 4.5,
"review_count": 247,
"image": "https://i5.walmartimages.com/seo/Logitech-Precision-Pro-Wireless-Mouse_c76cddbf-c8cb-47d0-8e85-4add479ce780.1728b07ccdbdcbcec9c5abf4f7c22987.png",
"images": [
"https://i5.walmartimages.com/seo/Logitech-Precision-Pro-Wireless-Mouse_c76cddbf-c8cb-47d0-8e85-4add479ce780.1728b07ccdbdcbcec9c5abf4f7c22987.png",
"https://i5.walmartimages.com/asr/a2386112-184f-46ef-9033-b2349cddbf3e.9ee7f8279c5fff50acdb9fc985d176b2.jpeg",
"https://i5.walmartimages.com/asr/8c0f99a4-9f54-4a31-86a4-dd9de9aa59f2.5ca7d0d502e77dba943afde6f017511f.jpeg"
],
"availability_status": "IN_STOCK",
"is_in_stock": true,
"short_description": "Built for endurance, versatility, and comfort, Logitech Precion Pro Wireless Mouse helps you succeed in a multi-device world. You'll be powering through tasks thanks to the Easy-Switch technology that lets you switch seamlessly between 3 computers. You'll fly through documents and web pages using the hyper-fast scroll wheel, and hardly spare a thought to changing batteries thanks to 24 months of p",
"seller": {
"id": "F55CDC31AB754BB68FE0B39041159D63",
"name": "Walmart.com",
"display_name": "Walmart.com",
"storefront_url": null,
"type": "INTERNAL"
},
"breadcrumbs": [
"Electronics",
"Computers, Laptops and Tablets",
"Computer Accessories"
],
"category": "Wireless Mouse",
"return_policy": {
"returnable": true,
"freeReturns": true,
"returnWindow": {
"value": 30,
"unitType": "Day"
},
"returnPolicyText": "Free 30-day returns",
"returnPolicyTextCode": {
"code": "PRODUCT_RETURN_WINDOW",
"data": null
},
"returnPolicyCondition": null,
"holidayReturnEnabled": false,
"returnPolicyClarityText": "",
"returnPolicyClarityTextMore": "",
"returnPolicyType": "seamless",
"returnableToStore": true,
"returnLocation": "store"
},
"variants": [],
"badges": [],
"condition": "New",
"is_preowned": false
},
"response_bytes": 528747
},
"total_points": 5
}E-commerce & Marketplaces
Run Walmart Product
Fetches full Walmart product details by item ID or URL: brand, price, rating, specifications, and seller (including seller.storefront_url). Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-walmart-product
Run Walmart Product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Walmart item ID or product URL.